<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$ord_id=$_POST['ord_id'];
$cano=mysqli_query($con,"SELECT * FROM orden_servicios where ord_id='$ord_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($cano);
$ord_numero=$dato['ord_numero'];

$forma_pago=$_POST['forma_pago'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
    $medio_pago=$_POST['medio_pago'];
}  

$abono=$_POST['abono'];
$fecha=date('Y-m-d H:i:s');

$can1=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1); 
$mov_numero=$dato1['mov_numero']+1;
$can2=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2); 
$mov_id=$dato2['mov_id']+1;

$abon=mysqli_query($con,"INSERT into orden_abonos (ord_abono,forma_pago,medio_pago,ord_fecha,mov_id,usuario,apertura,sucursal,empresa,orden_servicios_ord_id)
VALUES ('$abono','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ord_id')") or die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono orden de servicio','Abono orden de servicio N $ord_numero','$abono','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or die(mysqli_error($con));  

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Abono!</strong> Registrado correctamente.
</div>';
         
?>